#!/bin/bash

# Exit on error
set -e

# Exit on unbound variable
set -u

### Check parameters
if [ $# -ne 1 ]
then
    echo "Wrong number of parameters"
    echo "usage: $0 <private key file>"
    echo "example: $0 key.pem"
    exit 1
fi
keyFile=$1

if [ ! -e $keyFile ] 
then
    echo "Key file not found"
    exit 1
fi

# Extract public key
openssl rsa -in "$keyFile" -pubout -outform DER 2>/dev/null | openssl base64 -A
echo


